/**
 * Copyright (C) 2006-2007  NTT DATA CORPORATION
 * 
 * Version: 1.0.0 2007/04/01
 *
 */
package net.cellcomputing.himawari.accessory;

import net.cellcomputing.himawari.accessory.primitive.p_float;
import net.cellcomputing.himawari.accessory.primitive.p_int;
import net.cellcomputing.himawari.library.types.CqVector2D;

/**
 * 
 * 
 * 
 * @author NTT DATA Corporation
 */
public strictfp class TrimArray {

	
	public TrimArray(TrimArray From)
	{
		pos = From.pos;
		array = From.array;
	}
	
	public void add(CqVector2D v)
	{
		if(pos == null)
		{
			pos = new p_int((int)Math.ceil(v.y));
		}
		else 
		{
			if(pos.value == Math.ceil(v.y) )
			{
				array.add(v);
			}
			else if(pos.value > Math.ceil(v.y))
			{
				
			}
		}
	}
	
	p_int pos = null;
	STLArray<CqVector2D> array = new STLArray<CqVector2D>(CqVector2D.class);
	
	TrimArray left;
	TrimArray right;
}
